summaryrefslogtreecommitdiff
path: root/android/scripts/binder.sh
diff options
context:
space:
mode:
authorSenthil Kumaran <senthil.kumaran@linaro.org>2013-01-23 18:40:06 +0530
committerSenthil Kumaran <senthil.kumaran@linaro.org>2013-01-23 18:40:06 +0530
commita846c5215a8dec0398b422f97562eb591c5a03e2 (patch)
treec6cb0616733496b698ce14fe6c96ca2ff2ec982c /android/scripts/binder.sh
parentc7c93761045dc0889b79fd2785819faeada215e0 (diff)
Add binder test definitions.
Diffstat (limited to 'android/scripts/binder.sh')
-rwxr-xr-xandroid/scripts/binder.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/android/scripts/binder.sh b/android/scripts/binder.sh
new file mode 100755
index 0000000..f708ba0
--- /dev/null
+++ b/android/scripts/binder.sh
@@ -0,0 +1,30 @@
+#!/system/bin/sh
+#
+# Binder test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Amit Pundir <amit.pundir@linaro.org>
+#
+
+chmod 777 /data/nativebenchmark/binderAddInts
+/data/nativebenchmark/binderAddInts -n 10
+if [ $? -eq 0 ]; then
+ echo "binder=pass"
+else
+ echo "binder=fail"
+fi